%{?scl:%scl_package perl-experimental}

Name:           %{?scl_prefix}perl-experimental
Version:        0.016
Release:        366%{?dist}
Summary:        Experimental features made easy
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/experimental/
Source0:        http://www.cpan.org/authors/id/L/LE/LEONT/experimental-%{version}.tar.gz
# Replace Build.PL to not require Module::Build::Tiny because experimental is
# a core dual-lived module and Module::Build::Tiny is not.
Source1:        Makefile.PL
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  %{?scl_prefix}perl
BuildRequires:  %{?scl_prefix}perl-generators
BuildRequires:  %{?scl_prefix}perl(ExtUtils::MakeMaker)
# Run-time:
BuildRequires:  %{?scl_prefix}perl(Carp)
BuildRequires:  %{?scl_prefix}perl(feature)
BuildRequires:  %{?scl_prefix}perl(strict)
BuildRequires:  %{?scl_prefix}perl(version)
BuildRequires:  %{?scl_prefix}perl(warnings)
# Tests:
BuildRequires:  %{?scl_prefix}perl(Test::More) >= 0.89
Requires:       %{?scl_prefix}perl(:MODULE_COMPAT_%(%{?scl:scl enable %{scl} '}eval "$(perl -V:version)";echo $version%{?scl:'}))

%description
This pragma provides an easy and convenient way to enable or disable
experimental features.

%prep
%setup -q -n experimental-%{version}
cp %{SOURCE1} .

%build
%{?scl:scl enable %{scl} '}perl Makefile.PL INSTALLDIRS=vendor && make %{?_smp_mflags}%{?scl:'}

%install
%{?scl:scl enable %{scl} '}make pure_install DESTDIR=$RPM_BUILD_ROOT%{?scl:'}
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
%{?scl:scl enable %{scl} '}make test%{?scl:'}

%files
%doc LICENSE
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Jul 11 2016 Petr Pisar <ppisar@redhat.com> - 0.016-366
- SCL

* Sat May 14 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.016-365
- Increase release to favour standalone package

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.016-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Oct 12 2015 Petr Pisar <ppisar@redhat.com> - 0.016-1
- 0.016 bump

* Mon Oct 05 2015 Petr Pisar <ppisar@redhat.com> - 0.015-1
- 0.015 bump

* Mon Sep 14 2015 Petr Pisar <ppisar@redhat.com> - 0.014-1
- 0.014 bump

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.013-346
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jun 04 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.013-345
- Increase release to favour standalone package

* Wed Jun 03 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.013-3
- Perl 5.22 rebuild

* Thu Dec 11 2014 Petr Pisar <ppisar@redhat.com> - 0.013-2
- Use ExtUtils::MakeMaker for building

* Mon Oct 27 2014 Petr Pisar <ppisar@redhat.com> - 0.013-1
- 0.013 bump

* Mon Oct 13 2014 Petr Pisar <ppisar@redhat.com> - 0.012-1
- 0.012 bump

* Mon Sep 29 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.011-1
- 0.011 bump

* Wed Aug 27 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.010-2
- Perl 5.20 rebuild

* Fri Aug 22 2014 Petr Pisar <ppisar@redhat.com> - 0.010-1
- 0.010 bump

* Mon Aug 18 2014 Petr Pisar <ppisar@redhat.com> - 0.009-1
- 0.009 bump

* Mon Jul 07 2014 Petr Pisar <ppisar@redhat.com> - 0.008-1
- 0.008 bump

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.007-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 14 2014 Petr Pisar <ppisar@redhat.com> - 0.007-1
- 0.007 bump

* Mon Jan 20 2014 Petr Pisar <ppisar@redhat.com> - 0.006-1
- 0.006 bump

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.005-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 24 2013 Petr Pisar <ppisar@redhat.com> - 0.005-2
- Perl 5.18 rebuild

* Mon Jun 10 2013 Petr Pisar <ppisar@redhat.com> - 0.005-1
- 0.005 bump

* Fri Jun 07 2013 Petr Pisar <ppisar@redhat.com> - 0.004-1
- 0.004 bump

* Wed May 29 2013 Petr Pisar <ppisar@redhat.com> 0.003-1
- Specfile autogenerated by cpanspec 1.78.
